# Uses of Class
jdk.incubator.foreign.GroupLayout

Packages that use GroupLayout
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of GroupLayout in jdk.incubator.foreign

Methods in jdk.incubator.foreign that return GroupLayout
Modifier and Type
Method
Description
`static GroupLayout`
MemoryLayout.`structLayout(MemoryLayout... elements)`
Create a new struct group layout with given member layouts.
`static GroupLayout`
MemoryLayout.`unionLayout(MemoryLayout... elements)`
Create a new union group layout with given member layouts.
`GroupLayout`
GroupLayout.`withAttribute(String name, Constable value)`
Returns a new memory layout which features the same attributes as this layout, plus the newly specified attribute.
`GroupLayout`
GroupLayout.`withBitAlignment(long alignmentBits)`
Creates a new layout which features the desired alignment constraint.
`GroupLayout`
GroupLayout.`withName(String name)`
Creates a new layout which features the desired layout name.
Methods in jdk.incubator.foreign that return types with arguments of type GroupLayout
Modifier and Type
Method
Description
`Optional<DynamicConstantDesc<GroupLayout>>`
GroupLayout.`describeConstable()`
Methods in jdk.incubator.foreign with parameters of type GroupLayout
Modifier and Type
Method
Description
`CLinker.VaList.Builder`
CLinker.VaList.Builder.`vargFromSegment(GroupLayout layout, MemorySegment value)`
Adds a native value represented as a `MemorySegment` to the C `va_list` being constructed.